Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.controls
Class JetReference

    java.lang.Object
      jet.controls.JetProperty
          jet.controls.JetReference

All Implemented Interfaces:
  jet.convert.PropInfo, jet.util.Propertiable

Direct Known Subclasses:
  JetQualifyReference

    public class JetReference

extends JetProperty

JetQualifyReference, for saving/retrieving a JetObject that managed by owner NOTICE: 1. no default value.
2. can not set any ChangeBy value
3. default no refer to JetObject

Field Summary

Fields inherited from class jet.controls.JetProperty
`CHART_BACKGROUND_EDITOR, CHART_FILLPATTERN_EDITOR, CHART_FILTER_EDITOR, CHART_FILTER_EDITOR_NO_DATE, CHART_ICON_STYLE, CHART_PATTERN_LIST_EDITOR, CHART_PENSTYLE_EDITOR, CHART_TEXTSTYLE_EDITOR, CHOICE_EDITOR, COLOR_EDITOR, COMBO_EDITOR, COMMAND_EDITOR, CONTROL_SELECT_ITEMS, DATASOURCE_EDITOR, DBCOL_EDITOR, DETAIL_REPORT_EDITOR, EDIT_FORBIDDEN, EDIT_FORBIDDEN_INIT, EDITABLE_ALLTIME, INTERNAL, LINK_EDITOR, MULSEL_EDITOR, PARAMCOL_EDITOR, QUERY_EDITOR, RECORDDB_EDITOR, SECURITY_EDITOR, TEXT_EDITOR`

Fields inherited from interface jet.util.Propertiable
`BIGSTRING, BOOLEAN, CHG_FMTTINGBLNAME, CHG_FMTTINGFORMULA, CHG_OTHER, COLOR, COMPFML_RESOURCE, CUSTOMER, CUSTOMERLINK, DELIM, DELIMCHAR, DOUBLE, ENUMERATION, IGNORED, IMAGE, IMGVECTOR, MAPPINGTBL, NORMAL_RESOURCE, NUMBER, REFERENCE, STRING, SUB1_DELIM, UNIT, VAL_NORMALLENGTH, VAL_NORMALSTART, VECTOR`

Constructor Summary
`JetReference()`
`JetReference(jet.controls.JetObject parent, java.lang.String name)` Create a JetReference instance with no refer to

Method Summary
`jet.icontrols.PropValueInfo` | `getCurrentValue(boolean isFmttContext)` Note to developer0:Now, it only can be used in Property Edit Actions and simple value parser.
`java.lang.Object` | `getObject()` Gets the JetObject had been refer to
`java.lang.String` | `getRefName()` Gets the instance name of JetObject had been refer to
`boolean` | `isChangeByOther()` Always return false
`boolean` | `isEnableAutoValue()` Always return false
`void` | `set(java.lang.String name)` Sets the name as specified name of JetObejct be about to refer to, remove existed refer to.
`boolean` | `setInstanceName(java.lang.String instName)` Search the JetObject managed by it owner via the specified instance name
`void` | `setObject(java.lang.Object ref)` Sets the JectObejct be about to refer to
`void` | `setReference(java.lang.Object ref)` Sets the JectObejct be about to refer to
`java.lang.String` | `toString()` Gets the instance name of JetObject had been refer to

Methods inherited from class jet.controls.JetProperty
`canChangeByBL, canChangeByFmtt, canChangeByOthers, enableAllChangeBys, getChangeBy, getChangeByBL, getChangeByBLName, getChangeByBLType, getChangeByFmtt, getChangeByFmttName, getChangeByObject, getChangeByObjectName, getChangeByOtherType, getCurrentChangedBy, getCurrentValue, getEditFlag, getEditorType, getInspValue, getInspValue, getMatchingSqlType, getName, getNormalObject, getParent, getPropertyChoice, getPropType, getRuntimeChangeBy, getUnifiedObject, getValue, isChagneByFmtt, isChangeByBL, isCurrentAutoValue, isCurrentChangedBy, isNull, isSetAnyChangeBy, isSetRuntimeChgBy, isTransient, loadFullChangeBy, propertyChanged, saveFullChangeBy, setAsAutoValue, setCanChangeByBL, setCanChangeByFmtt, setCanChangeByOthers, setChangeByBL, setChangeByBL, setChangeByFmtt, setChangeByObject, setChangeByObject, setEditFlag, setEditorType, setEnableAutoValue, setRuntimeChangeBy, setTransient, setUnitValue, toUnitString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JetReference

    public JetReference()

### JetReference

    public JetReference(jet.controls.JetObject parent,
                        java.lang.String name)

  Create a JetReference instance with no refer to

  Parameters:
    `parent` - the owner of the property.
    `name` - the property name

Method Detail

### set

    public void set(java.lang.String name)

  Sets the name as specified name of JetObejct be about to refer to, remove existed refer to.

  Specified by:
    `set` in interface `jet.util.Propertiable`
  Overrides:
    `set` in class `JetProperty`
  Parameters:
    `name` - name of JetObejct be about to refer to, `null` means clear.
  See Also:
    `setObject(Object)`, `setReference(Object)`, `getRefName()`, `toString()`

### getRefName

    public java.lang.String getRefName()

  Gets the instance name of JetObject had been refer to

  Returns:
    instance name or `null`if no one had been refer to
  See Also:
    `setInstanceName(String)`, `JetObject.getInstName()`

### setObject

    public void setObject(java.lang.Object ref)

  Sets the JectObejct be about to refer to

  Specified by:
    `setObject` in interface `jet.util.Propertiable`
  Overrides:
    `setObject` in class `JetProperty`
  Parameters:
    `ref` - the JetObject be about to refer to; DO NOT `null`
  See Also:
    `getObject()`, `setReference(Object)`

### setReference

    public void setReference(java.lang.Object ref)

  Sets the JectObejct be about to refer to

  Parameters:
    `ref` - the JetObject be about to refer to; DO NOT `null`
  See Also:
    `setObject(Object)`

### toString

    public java.lang.String toString()

  Gets the instance name of JetObject had been refer to

  Specified by:
    `toString` in interface `jet.convert.PropInfo`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    instance name or "null" if no one had been refer to
  See Also:
    `getRefName()`

### isChangeByOther

    public final boolean isChangeByOther()

  Always return false

  Specified by:
    `isChangeByOther` in interface `jet.convert.PropInfo`
  Specified by:
    `isChangeByOther` in interface `jet.util.Propertiable`
  Overrides:
    `isChangeByOther` in class `JetProperty`
  Returns:
    is the properties changing by 'another object'.
  See Also:
    `JetProperty.setChangeByObject(Object)`, `JetProperty.isCurrentAutoValue()`

### isEnableAutoValue

    public final boolean isEnableAutoValue()

  Always return false

  Overrides:
    `isEnableAutoValue` in class `JetProperty`
  See Also:
    `JetProperty.setAsAutoValue(boolean)`, `JetProperty.isCurrentAutoValue()`, `JetProperty.setEnableAutoValue(boolean)`

### getObject

    public java.lang.Object getObject()

  Gets the JetObject had been refer to

  Specified by:
    `getObject` in interface `jet.util.Propertiable`
  Overrides:
    `getObject` in class `JetProperty`
  Returns:
    JetObject or `null`if no one had been refer to
  See Also:
    `setInstanceName(String)`

### setInstanceName

    public boolean setInstanceName(java.lang.String instName)

  Search the JetObject managed by it owner via the specified instance name

  Parameters:
    `instName` - the instance name.
  Returns:
    true if success refer to.
  See Also:
    `JetObject.getInstName()`, `JetObject.nameToObject(String)`

### getCurrentValue

    public jet.icontrols.PropValueInfo getCurrentValue(boolean isFmttContext)

  Description copied from class: `JetProperty`
  Note to developer0:Now, it only can be used in Property Edit Actions and simple value parser. Note to developer1:Because no Property relative basic Logic, append here. Note to developer2:Should check context to get value for 'conditional formatting' or not.

  Overrides:
    `getCurrentValue` in class `JetProperty`
  Parameters:
    `isFmttContext` - is 'conditional formatting' used context? if false, will not return 'conditional formatting' settings.
  Returns:
    See BasicLogic#set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD